# Generated by Django 3.0.4 on 2020-03-06 10:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Experiment',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('username', models.CharField(max_length=255)),
                ('group_to_be_used', models.BooleanField()),
            ],
            options={
                'db_table': 'experiments',
            },
        ),
        migrations.CreateModel(
            name='ExperimentGroup',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('username', models.CharField(max_length=255)),
                ('dare_platform', models.IntegerField()),
            ],
            options={
                'db_table': 'experiment_groups',
            },
        ),
        migrations.CreateModel(
            name='Run',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('username', models.CharField(max_length=255)),
                ('date', models.DateTimeField()),
                ('name', models.CharField(max_length=255)),
                ('kind', models.CharField(choices=[('TR', 'trial'), ('OF', 'official')], default='TR', max_length=2)),
                ('run_dir', models.CharField(max_length=500)),
            ],
            options={
                'db_table': 'runs',
            },
        ),
        migrations.CreateModel(
            name='Upload',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('dare_platform', models.IntegerField()),
                ('username', models.CharField(max_length=255)),
                ('dataset_name', models.CharField(max_length=500)),
                ('name', models.CharField(max_length=255)),
                ('upload_path', models.CharField(max_length=2000)),
            ],
            options={
                'db_table': 'uploads',
            },
        ),
        migrations.AddIndex(
            model_name='upload',
            index=models.Index(fields=['username'], name='uploads_usernam_9228f9_idx'),
        ),
        migrations.AddField(
            model_name='run',
            name='experiment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='runs', to='registry.Experiment'),
        ),
        migrations.AddIndex(
            model_name='experimentgroup',
            index=models.Index(fields=['username'], name='experiment__usernam_afdeb6_idx'),
        ),
        migrations.AddField(
            model_name='experiment',
            name='experiment_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='experiments', to='registry.ExperimentGroup'),
        ),
        migrations.AddIndex(
            model_name='run',
            index=models.Index(fields=['username'], name='runs_usernam_d864e7_idx'),
        ),
        migrations.AddIndex(
            model_name='experiment',
            index=models.Index(fields=['username'], name='experiments_usernam_5be7bf_idx'),
        ),
    ]
